class CreatePanels < ActiveRecord::Migration
  def change
    create_table :panels do |t|
      t.integer :comic_id
      t.integer :width, :null => false, :default => 200
      t.integer :height, :null => false, :default => 80
      t.integer :border, :null => false, :default => 1
      t.integer :x
      t.integer :y
      t.integer :z
      t.integer :t, :null => false
      t.integer :author_id, :null => false

      t.timestamps
    end
    add_index :panels, [:author_id]
  end
end
